Subject: Re: bug#6864: 24.0.50; ld: duplicate symbol _QPRIMARY in keyboard.o and xselect.o

From: Jan Djärv <[email-masked]>
Date: Mon, 16 Aug 2010 14:49:02 +0200

2010-08-16 13:37, Peter Dyballa skrev:
>
> Am 16.08.2010 um 09:56 schrieb Jan Djärv:
>
>> Fix checked in.
>
> Jan,
>
> GNU Emacs compiles now, but it seems to have a problem with
> <down-mouse-2>... Usually it would insert text from a previous copy.
> This fails. When I use the paste entry from the Edit menu, which is
> bound to C-y, it inserts a text from the Mac OS X pasteboard, not from
> the X (PRIMARY) selection. When I switch from the X client GNU Emacs to
> a native Aqua/Mac OS X application, the old X selection is now available
> on <down-mouse-2>...

AFAIK, that is now how it is supposed to work.  Mouse-2 inserts from PRIMARY 
and C-y from clipboard.  I assume X maps clipboard to pasteboard.  See threads 
in emacs-devel about this.

	Jan D.